<?php 
$conexion1 = mysql_connect('postventa.itodoslossantos.cl', 'pvitls_simas', 'postventa')or die(mysql_error());//BASE DE DATOS LOCAL
$conexion2 = mysql_connect('itodoslossantos.cl','ciss_evalle','vain2012')or die(mysql_error());//EXTERNA
$itodos = 'ciss_intranetciss';
$postventa = 'pvitls_postventa';
//BASES DE DATOS
mysql_select_db($postventa,$conexion1)or die(mysql_error());
mysql_select_db($itodos,$conexion2)or die(mysql_error());

$qyeryedificio ="SELECT e.id_edificio, e.id_etapa, e.id_tip_edificio,e.edificio,p.num_pisos,p.num_subterraneos,p.id_proyecto
					FROM $itodos.tbl_edificioxetapaxproyecto e   
					INNER JOIN $itodos.tbl_tipo_edificioxproyecto p  ON  p.id_tip_edificio  = e.id_tip_edificio";


$resultado = mysql_query($qyeryedificio,$conexion2); 		 	
	if(mysql_num_rows($resultado)> 0){
		while($fila = mysql_fetch_array($resultado)){
			  $abreviatura = $fila['edificio'];
			  $numero_pisos = $fila['num_pisos'];
			  $numero_subterraneos = $fila['num_subterraneos'];
			  $cantidad = $numero_pisos *4;
			  $id_proyecto = $fila['id_proyecto'];
			  $querymodelo = "INSERT INTO `tblmodelounidadconstrucciones`(`ABREVIATURA`,`NUM_PISOS`, `NUM_SUBTERRANEOS`, `CANT_PROPIEDADES`)
									 VALUES ('$abreviatura','$numero_pisos','$numero_subterraneos','$cantidad')";
 			 //$existemodelo = buscarModeloconstruccion($abreviatura,$numero_pisos,$conexion1);
 			 //if($existemodelo == "1"){
 			 	//EXISTE SE ACTUALIZA
 			 	//	echo "ACTUALIZAR"."<br>";
 			 //}else{
	 			   if(mysql_query($querymodelo,$conexion1)){
					   		echo "GUARDADO"."<br>";
					   }else{
					   	echo mysql_error();
					   }
 			// }	
		}
	 }else{
	 	echo "NO TRAE FILAS";
	 }

//FUNCIONES DE BUSQUEDA
function buscarModeloconstruccion($abreviatura,$num_pisos,$conexion){
$resultado = mysql_query("SELECT ID_MODELOUNIDADCONSTRUCCION, ABREVIATURA, SUPERFICIE, NUM_PISOS, NUM_SUBTERRANEOS, CANT_PROPIEDADES
                                FROM  pvitls_postventa.tblmodelounidadconstrucciones 
                              WHERE ABREVIATURA='$abreviatura' AND  NUM_PISOS='$num_pisos'",$conexion); 
	 if(mysql_num_rows($resultado)> 0){
	 	return "1";
	 }else{

	 	return "0";
	 }
 }

?>